package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class BerkasLamaranVOVO
 * 
 * @author Generator
 */
public class BerkasLamaranVO extends BaseMasterVO {
	 private Set<DetailBerkasLamaranVO> details = new  HashSet<>();
	
	@ManyToOne
	@JoinColumn(name = "NamaPelamarFk")
	@NotNull(message = "Nama Pelamar Harus Diisi")
	@Caption(value = "Nama Pelamar")
	private IsianPelamarVO namaPelamar;
	
	private Boolean hasil;

	public IsianPelamarVO getNamaPelamar() {
		return namaPelamar;
	}

	public void setNamaPelamar(IsianPelamarVO namaPelamar) {
		this.namaPelamar = namaPelamar;
	}

	@Column(name = "NamaPelamarFk", insertable = false, updatable = false)
	private String namaPelamarId;

	@ManyToOne
	@JoinColumn(name = "StatusPelamarFk")
	@NotNull(message = "Status Pelamar Harus Diisi")
	@Caption(value = "Status Pelamar")
	private StatusPelamarVO statusPelamar;

	public StatusPelamarVO getStatusPelamar() {
		return statusPelamar;
	}

	public void setStatusPelamar(StatusPelamarVO statusPelamar) {
		this.statusPelamar = statusPelamar;
	}

	public Set<DetailBerkasLamaranVO> getDetails() {
		return details;
	}

	public void setDetails(Set<DetailBerkasLamaranVO> details) {
		this.details = details;
	}

	public Boolean getHasil() {
		return hasil;
	}

	public void setHasil(Boolean hasil) {
		this.hasil = hasil;
	}

	@Column(name = "StatusPelamarFk", insertable = false, updatable = false)
	private String statusPelamarId;

}